package atmarkit2;

import javax.naming.NamingException;
import atmarkit2.ejb.*;
import javax.naming.InitialContext;

public class UserinfoBean {
	String factory = "com.ibm.ejs.ns.jndi.CNInitialContextFactory";
	String jndiName = "atmarkit2/ejb/UserinfoSession";
	String providarURL = "iiop://localhost:900/";
	public atmarkit2.ejb.UserinfoSession userinfoSession = null;
	public atmarkit2.ejb.UserinfoSessionHome userinfoSessionHome = null;
	private String userid = "";
	private String password = "";
	private String msg = "";

/**
 * RXgN^<BR>
 * ZbVEr[ւHomeC^[tFCX擾܂B
 */
public UserinfoBean(String userid, String password) {
	this.userid = userid;
	this.password = password;
	java.util.Hashtable h = new java.util.Hashtable();
	h.put(javax.naming.Context.PROVIDER_URL, providarURL);
	h.put(javax.naming.Context.INITIAL_CONTEXT_FACTORY, factory);
	try {
		InitialContext initialContext = new InitialContext(h);
		userinfoSessionHome = 
			(UserinfoSessionHome) javax.rmi.PortableRemoteObject.narrow(
				initialContext.lookup(jndiName), 
				UserinfoSessionHome.class);
		userinfoSession = userinfoSessionHome.create();
	} catch (NamingException e) {
		e.printStackTrace();
	} catch(javax.ejb.CreateException e) {
		e.printStackTrace();
	} catch(java.rmi.RemoteException e) {
		e.printStackTrace();
	}
}
/**
 * [U[IDԂ܂B
 */
public String getUserid() {
	return userid;
}
/**
 * pX[hԂ܂B
 */
public String getPassword() {
	return password;
}
/**
 * bZ[WԂ܂B
 */
public String getMsg() {
	return msg;
}
/**
 * bZ[WZbg܂B
 */
public void setMsg(String msg) {
	this.msg = msg;
}
/**
 * OCs܂B<BR>
 * [U[ɑ΂ăpX[hႤInvPassExceptionthrow܂B<BR>
 * ݂Ȃ[U[̏ꍇ̓[U[IDǉAUserAddedExceptionthrow܂B<BR>
 * [U[ŃpX[h΁AQƂԂŏI܂B
 */
public void login(String userid, String password)
	throws InvPassException, UserAddedException {
	this.userid = userid;
	this.password = password;
	try {
		userinfoSession.login(userid, password);
		msg = "OC܂";
	} catch(java.rmi.RemoteException e) {
		msg = e.getMessage();
	}	
}
/**
 * pX[hύX܂B
 */
public void modPass(String password) {
	this.password = password;
	try {
		userinfoSession.modPass(password);
		msg = "pX[hύX܂";
	} catch(java.rmi.RemoteException e) {
		msg = e.getMessage();
	}
}
/**
 * ݐڑĂ郆[U[폜܂B
 */
public void delUser() {
	try {
		userinfoSession.delUser();
		msg = "[U[폜܂";
	} catch(java.rmi.RemoteException e) {
		msg = e.getMessage();
	}
}

}